<?xml version='1.0' encoding='UTF-8'?>
<repository xmlns="http://www.osgi.org/xmlns/repository/v1.0.0" name="Liferay Foundation - Liferay Frontend JS - Impl" increment="1">
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.frontend.js.aui.web"/>
      <attribute name="type" value="osgi.fragment"/>
      <attribute name="version" value="2.0.73" type="Version"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="15405941" type="Long"/>
      <attribute name="url" value="com.liferay.frontend.js.aui.web-2.0.73.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="E9F6E419A9B4E984DBAB7E61D8645EFEDD3296EEC6EDD8385A62A9AC131B4E2B"/>
    </capability>
    <requirement namespace="osgi.wiring.host">
      <directive name="filter" value="(osgi.wiring.host=com.liferay.frontend.js.web)"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.frontend.js.bundle.config.extender"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="2.0.18" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="2.0.18" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.frontend.js.bundle.config.extender"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="2.0.18" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.frontend.js.bundle.config.extender"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.bundle.config.extender.internal,javax.servlet"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.bundle.config.extender.internal.JSBundleConfigServlet,javax.servlet.Servlet" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.bundle.config.extender.internal"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.bundle.config.extender.internal.JSBundleConfigTracker" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.frontend.js.bundle.config.extender"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="27419" type="Long"/>
      <attribute name="url" value="com.liferay.frontend.js.bundle.config.extender-2.0.18.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="C5738BF2BC9D2B57A802201AB45FFD70F073D4C28128673CE7B4C1986CA865F6"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.util)(&amp;(version&gt;=2.3.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(&amp;(version&gt;=1.4.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet)(&amp;(version&gt;=7.15.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(&amp;(version&gt;=8.34.0)(!(version&gt;=9.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.minifier)(&amp;(version&gt;=1.1.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.servlet.delegate))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet)(&amp;(version&gt;=3.0.0)(!(version&gt;=4.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(&amp;(version&gt;=3.0.0)(!(version&gt;=4.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.felix.utils.log)(&amp;(version&gt;=1.0.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(&amp;(version&gt;=1.8.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.component)(&amp;(version&gt;=1.3.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.util.tracker)(&amp;(version&gt;=1.5.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.bundle.config.extender.internal.JSBundleConfigServlet)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.bundle.config.extender.internal.JSBundleConfigTracker)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Portal)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.frontend.js.loader.modules.extender"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="3.0.48" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="3.0.48" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.frontend.js.loader.modules.extender"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="3.0.48" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.frontend.js.loader.modules.extender"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.internal"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.internal.JSLoaderModulesPortalWebResources" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.internal,javax.servlet"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.internal.JSLoaderModulesServlet,javax.servlet.Servlet" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.internal"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.internal.JSLoaderModulesTracker" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.internal"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.internal.Minifier" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.internal.config.generator"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.internal.config.generator.JSConfigGeneratorPackagesTracker" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.internal.npm.builtin,javax.servlet"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.internal.npm.builtin.BuiltInJSModuleServlet,javax.servlet.Servlet" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.internal.npm.builtin,javax.servlet"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.internal.npm.builtin.BuiltInJSResolvedModuleServlet,javax.servlet.Servlet" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.internal.resolution"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.internal.resolution.BrowserModuleNameMapper" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.internal.resolution"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.internal.resolution.BrowserModulesResolver" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.internal.servlet,javax.servlet"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.internal.servlet.JSLoaderConfigServlet,javax.servlet.Servlet" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.internal.servlet,javax.servlet"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.internal.servlet.JSResolveModulesServlet,javax.servlet.Servlet" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.npm"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.npm.JSBundleProcessor" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.npm"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.npm.JSBundleTracker" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.loader.modules.extender.npm"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.loader.modules.extender.npm.NPMRegistry" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.servlet.taglib"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.servlet.taglib.DynamicInclude" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="org.osgi.framework"/>
      <attribute name="objectClass" value="org.osgi.framework.ServiceFactory" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.frontend.js.loader.modules.extender"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="236933" type="Long"/>
      <attribute name="url" value="com.liferay.frontend.js.loader.modules.extender-3.0.48.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="DD52ABF2EB5C9E883172860F57DE918CEB4317C6679AE499C73FE4A44716D7FF"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(&amp;(version&gt;=1.45.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.frontend.js.loader.modules.extender.npm)(&amp;(version&gt;=2.2.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.service.tracker.collections.map)(&amp;(version&gt;=2.1.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.util)(&amp;(version&gt;=2.3.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(&amp;(version&gt;=1.4.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.annotations)(&amp;(version&gt;=1.3.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.bnd.util)(&amp;(version&gt;=2.0.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.json)(&amp;(version&gt;=7.10.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.language)(&amp;(version&gt;=7.5.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(&amp;(version&gt;=7.0.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet)(&amp;(version&gt;=7.15.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet.taglib)(&amp;(version&gt;=7.0.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(&amp;(version&gt;=8.34.0)(!(version&gt;=9.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.minifier)(&amp;(version&gt;=1.1.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.servlet.delegate))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.url.builder)(&amp;(version&gt;=1.0.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.util)(&amp;(version&gt;=2.15.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet)(&amp;(version&gt;=3.0.0)(!(version&gt;=4.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(&amp;(version&gt;=3.0.0)(!(version&gt;=4.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(&amp;(version&gt;=1.8.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework.wiring)(&amp;(version&gt;=1.2.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.component)(&amp;(version&gt;=1.3.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.util.tracker)(&amp;(version&gt;=1.5.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.loader.modules.extender.internal.JSLoaderModulesServlet)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.loader.modules.extender.internal.JSLoaderModulesTracker)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.loader.modules.extender.internal.Minifier)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.loader.modules.extender.internal.config.generator.JSConfigGeneratorPackagesTracker)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.loader.modules.extender.internal.resolution.BrowserModuleNameMapper)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.loader.modules.extender.internal.resolution.BrowserModulesResolver)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.loader.modules.extender.internal.servlet.JSLoaderConfigServlet)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.loader.modules.extender.npm.JSBundleProcessor)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.loader.modules.extender.npm.JSBundleTracker)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.loader.modules.extender.npm.NPMRegistry)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.json.JSONFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.MimeTypes)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Portal)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.url.builder.AbsolutePortalURLBuilderFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.frontend.js.lodash.web"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.25" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.25" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.frontend.js.lodash.web"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.25" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.frontend.js.lodash.web"/>
    </capability>
    <capability namespace="osgi.webresource">
      <attribute name="version" value="1.0.25" type="Version"/>
      <attribute name="osgi.webresource" value="frontend-js-lodash-web"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.servlet.taglib"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.servlet.taglib.DynamicInclude" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.frontend.js.lodash.web"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="131104" type="Long"/>
      <attribute name="url" value="com.liferay.frontend.js.lodash.web-1.0.25.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="3A4FACE358BBD076F96C16AE95A17FAB913D2D8B59CDF7122338F6E4400F4C44"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(&amp;(version&gt;=1.45.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.annotations)(&amp;(version&gt;=1.3.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.bnd.util)(&amp;(version&gt;=2.0.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet.taglib)(&amp;(version&gt;=7.0.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.url.builder)(&amp;(version&gt;=1.0.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(&amp;(version&gt;=3.0.0)(!(version&gt;=4.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.component)(&amp;(version&gt;=1.3.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.url.builder.AbsolutePortalURLBuilderFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.frontend.js.metal.web"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="2.0.11" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="2.0.11" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.frontend.js.metal.web"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="2.0.11" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.frontend.js.metal.web"/>
    </capability>
    <capability namespace="osgi.webresource">
      <attribute name="version" value="2.0.11" type="Version"/>
      <attribute name="osgi.webresource" value="frontend-js-metal-web"/>
    </capability>
    <capability namespace="soy">
      <attribute name="type" value="metal"/>
      <attribute name="version" value="1.0.0" type="Version"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="3426042" type="Long"/>
      <attribute name="url" value="com.liferay.frontend.js.metal.web-2.0.11.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="9A0E77D6901BBDC462BAED708D6D9FDA31EC174BC45B68EC2DCD563C6E8320BA"/>
    </capability>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.frontend.js.minifier"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.26" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.26" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.frontend.js.minifier"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.26" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.frontend.js.minifier"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.minifier"/>
      <attribute name="objectClass" value="com.liferay.portal.minifier.JavaScriptMinifier" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.frontend.js.minifier"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="7873860" type="Long"/>
      <attribute name="url" value="com.liferay.frontend.js.minifier-1.0.26.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="0B5A80D84167BE875E4619ABBD4F8A9B39FAC9076F68BC1EE60ED9DAC11C3071"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(&amp;(version&gt;=1.45.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.reflect)(&amp;(version&gt;=1.2.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(&amp;(version&gt;=1.4.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.bnd.util)(&amp;(version&gt;=2.0.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.io.unsync)(&amp;(version&gt;=6.2.0)(!(version&gt;=7.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(&amp;(version&gt;=7.0.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.minifier)(&amp;(version&gt;=1.1.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.crypto))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.crypto.spec))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.lang.model.element))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.swing))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.swing.border))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.swing.event))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.swing.filechooser))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.swing.table))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.swing.text))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.swing.tree))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.namespace))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.parsers))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.transform))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.transform.dom))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.transform.stream))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=sun.misc))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.frontend.js.node.shims"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="2.0.5" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="2.0.5" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.frontend.js.node.shims"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="2.0.5" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.frontend.js.node.shims"/>
    </capability>
    <capability namespace="osgi.webresource">
      <attribute name="version" value="2.0.5" type="Version"/>
      <attribute name="osgi.webresource" value="frontend-js-node-shims"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="364656" type="Long"/>
      <attribute name="url" value="com.liferay.frontend.js.node.shims-2.0.5.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="0848A028F58CA26F6F0A4E11BA9A340FB08A771C151CBA6CEA7C3D492223AA7E"/>
    </capability>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.frontend.js.polyfill.babel.web"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="2.0.3" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="2.0.3" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.frontend.js.polyfill.babel.web"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="2.0.3" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.frontend.js.polyfill.babel.web"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="26079" type="Long"/>
      <attribute name="url" value="com.liferay.frontend.js.polyfill.babel.web-2.0.3.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="3F4A895ACCECCA9934BE87A2BDF48C5462B35FB2A3FEF154E42987E7A83B9642"/>
    </capability>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.frontend.js.react.web"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="2.0.4" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="2.0.4" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.frontend.js.react.web"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="2.0.4" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.frontend.js.react.web"/>
    </capability>
    <capability namespace="osgi.webresource">
      <attribute name="version" value="2.0.4" type="Version"/>
      <attribute name="osgi.webresource" value="frontend-js-react-web"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="3280917" type="Long"/>
      <attribute name="url" value="com.liferay.frontend.js.react.web-2.0.4.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="31079C1F0FF83A0E6C49BC02F73F83A2288853D5691384DE3FFBB5DEE15B3A9B"/>
    </capability>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.frontend.js.spa.web"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="2.0.44" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="2.0.44" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.frontend.js.spa.web"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="2.0.44" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.frontend.js.spa.web"/>
    </capability>
    <capability namespace="osgi.webresource">
      <attribute name="version" value="2.0.44" type="Version"/>
      <attribute name="osgi.webresource" value="frontend-js-spa-web"/>
    </capability>
    <capability namespace="osgi.extender">
      <attribute name="osgi.extender" value="liferay.spa"/>
      <attribute name="version" value="2.0.44" type="Version"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.frontend.js.spa.web.internal.servlet.taglib.util"/>
      <attribute name="objectClass" value="com.liferay.frontend.js.spa.web.internal.servlet.taglib.util.SPAUtil" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.servlet.taglib"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.servlet.taglib.DynamicInclude" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.servlet"/>
      <attribute name="objectClass" value="javax.servlet.Filter" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.frontend.js.spa.web"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="258202" type="Long"/>
      <attribute name="url" value="com.liferay.frontend.js.spa.web-2.0.44.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="2987DCA5CAF15EC227E268D4A6DC68196E67C2797710A4B673204EF83E988A8B"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(&amp;(version&gt;=1.45.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.frontend.js.loader.modules.extender.npm)(&amp;(version&gt;=2.2.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.util)(&amp;(version&gt;=2.3.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(&amp;(version&gt;=1.4.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.annotations)(&amp;(version&gt;=1.3.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.bnd.util)(&amp;(version&gt;=2.0.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.configuration)(&amp;(version&gt;=6.2.0)(!(version&gt;=7.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.json)(&amp;(version&gt;=7.10.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.language)(&amp;(version&gt;=7.5.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(&amp;(version&gt;=7.0.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(&amp;(version&gt;=2.0.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service)(&amp;(version&gt;=1.53.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet)(&amp;(version&gt;=7.15.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet.taglib)(&amp;(version&gt;=7.0.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet.taglib.aui)(&amp;(version&gt;=7.0.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.theme)(&amp;(version&gt;=1.7.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(&amp;(version&gt;=8.34.0)(!(version&gt;=9.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet)(&amp;(version&gt;=3.0.0)(!(version&gt;=4.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(&amp;(version&gt;=3.0.0)(!(version&gt;=4.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(&amp;(version&gt;=1.8.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.util.tracker)(&amp;(version&gt;=1.5.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.loader.modules.extender.npm.NPMResolver)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.spa.web.internal.servlet.taglib.util.SPAUtil)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.language.Language)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.PortletLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.servlet.BrowserSniffer)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Html)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Http)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Props)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.frontend.js.top.head.extender"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.10" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.10" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.frontend.js.top.head.extender"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.10" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.frontend.js.top.head.extender"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.servlet.taglib"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.servlet.taglib.DynamicInclude" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="16420" type="Long"/>
      <attribute name="url" value="com.liferay.frontend.js.top.head.extender-1.0.10.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="4B07CA56B068429F77C755D4B13BD48F99AABD186870DED04963E6136AF4A63E"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.felix.util)(&amp;(version&gt;=1.0.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.util)(&amp;(version&gt;=2.1.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(&amp;(version&gt;=1.4.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet)(&amp;(version&gt;=7.15.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet.taglib)(&amp;(version&gt;=7.0.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.theme)(&amp;(version&gt;=1.7.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(&amp;(version&gt;=8.30.0)(!(version&gt;=9.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.url.builder)(&amp;(version&gt;=1.0.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.util)(&amp;(version&gt;=2.13.0)(!(version&gt;=3.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet)(&amp;(version&gt;=3.0.0)(!(version&gt;=4.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(&amp;(version&gt;=3.0.0)(!(version&gt;=4.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.felix.utils.extender)(&amp;(version&gt;=1.0.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.felix.utils.log)(&amp;(version&gt;=1.0.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(&amp;(version&gt;=1.8.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.util.tracker)(&amp;(version&gt;=1.5.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.frontend.js.top.head.extender.TopHeadResources)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.servlet.PortalWebResources)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Portal)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.url.builder.AbsolutePortalURLBuilderFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.frontend.js.web"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="2.0.61.hotfix-7145-7110" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="2.0.61.hotfix-7145-7110" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.frontend.js.web"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="2.0.61.hotfix-7145-7110" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.frontend.js.web"/>
    </capability>
    <capability namespace="osgi.webresource">
      <attribute name="version" value="2.0.61.hotfix-7145-7110" type="Version"/>
      <attribute name="osgi.webresource" value="frontend-js-web"/>
    </capability>
    <capability namespace="osgi.extender">
      <attribute name="osgi.extender" value="liferay.js"/>
      <attribute name="version" value="2.0.61.hotfix-7145-7110" type="Version"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.servlet"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.servlet.PortalWebResources" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.servlet.taglib"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.servlet.taglib.DynamicInclude" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="soy">
      <attribute name="type" value="frontend-js-web"/>
      <attribute name="version" value="2.0.61.hotfix-7145-7110" type="Version"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="901453" type="Long"/>
      <attribute name="url" value="com.liferay.frontend.js.web-2.0.61.hotfix-7145-7110.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="A36E29361CF4539CF3455D97B9BBEC3A74FFDA58962DA503F569A7C44F3073B9"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(&amp;(version&gt;=7.8.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.language)(&amp;(version&gt;=7.5.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet)(&amp;(version&gt;=7.15.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.servlet.taglib)(&amp;(version&gt;=7.0.0)(!(version&gt;=8.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(&amp;(version&gt;=8.34.0)(!(version&gt;=9.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.url.builder)(&amp;(version&gt;=1.0.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.portlet))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet)(&amp;(version&gt;=3.0.0)(!(version&gt;=4.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(&amp;(version&gt;=3.0.0)(!(version&gt;=4.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(&amp;(version&gt;=1.8.0)(!(version&gt;=2.0.0))))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.url.builder.AbsolutePortalURLBuilderFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=javax.servlet.ServletContext)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.contract">
      <directive name="filter" value="(&amp;(osgi.contract=JavaPortlet)(version=3.0.0))"/>
      <attribute name="osgi.contract" value="JavaPortlet"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
</repository>
